###################################################
### chunk number 1: 
###################################################
#line 70 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
library(DFP)


###################################################
### chunk number 2: 
###################################################
#line 74 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
data(rmadataset)
# Number of genes in the test set
length(featureNames(rmadataset))


###################################################
### chunk number 3: 
###################################################
#line 80 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
res <- discriminantFuzzyPattern(rmadataset)


###################################################
### chunk number 4: 
###################################################
#line 84 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
plotDiscriminantFuzzyPattern(res$discriminant.fuzzy.pattern)


###################################################
### chunk number 5: 
###################################################
#line 101 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
library(DFP)


###################################################
### chunk number 6: 
###################################################
#line 107 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
dataDir <- system.file("extdata", package="DFP"); dataDir


###################################################
### chunk number 7: 
###################################################
#line 111 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
fileExprs <- file.path(dataDir, "exprsData.csv"); fileExprs
filePhenodata <- file.path(dataDir, "pData.csv"); filePhenodata


###################################################
### chunk number 8: 
###################################################
#line 116 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
rmadataset <- readCSV(fileExprs, filePhenodata); rmadataset


###################################################
### chunk number 9: 
###################################################
#line 120 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
skipFactor <- 3 # Factor to skip odd values
zeta <- 0.5 # Threshold used in the membership functions to label the float values with a discrete value
piVal <- 0.9 # Percentage of values of a class to determine the fuzzy patterns
overlapping <- 2 # Determines the number of discrete labels


###################################################
### chunk number 10: 
###################################################
#line 131 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
mfs <- calculateMembershipFunctions(rmadataset, skipFactor); mfs[[1]]
plotMembershipFunctions(rmadataset, mfs, featureNames(rmadataset)[1:2])


###################################################
### chunk number 11: 
###################################################
#line 139 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
dvs <- discretizeExpressionValues(rmadataset, mfs, zeta, overlapping); dvs[1:4,1:10]
showDiscreteValues(dvs, featureNames(rmadataset)[1:10],c("healthy", "AML-inv"))


###################################################
### chunk number 12: 
###################################################
#line 147 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
fps <- calculateFuzzyPatterns(rmadataset, dvs, piVal, overlapping); fps[1:30,]
showFuzzyPatterns(fps, "healthy")[21:50]


###################################################
### chunk number 13: 
###################################################
#line 155 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
dfps <- calculateDiscriminantFuzzyPattern(rmadataset, fps); dfps[1:5,]
plotDiscriminantFuzzyPattern(dfps, overlapping)


###################################################
### chunk number 14: 
###################################################
#line 187 "/private/tmp/RtmpVaaUyF/R.INSTALL642c9b86/DFP/inst/doc/DFP.Rnw"
toLatex(sessionInfo())


